CREATE TABLE locations(
    id uuid PRIMARY KEY,
    name text NOT NULL,
    disabled BOOLEAN DEFAULT false
);
CREATE TABLE links(
    id uuid PRIMARY KEY,
    from_id uuid NOT NULL,
    to_id uuid NOT NULL
);
CREATE TABLE events(
    id uuid NOT NULL,
    location_id uuid NOT NULL,
    time text NOT NULL
);
CREATE TABLE shuttles(
    id uuid PRIMARY KEY,
    from_id uuid NOT NULL,
    to_id uuid NOT NULL,
    date text NOT NULL,
    departure text NOT NULL
);
CREATE TABLE orders(
    id uuid PRIMARY KEY,
    user_id text NOT NULL,
    shuttle_id uuid NOT NULL,
    ride_id uuid,
    split INT NOT NULL
);

CREATE TABLE rides(
    id uuid PRIMARY KEY,
    shuttle_id uuid NOT NULL,
    capacity int
);

INSERT INTO locations(id, name) VALUES
    ('00000000-0000-0000-0000-000000000000', 'Newquay Airport'),
	('00000000-0000-0000-0000-000000000001', 'Truro Bus Station'),
	('00000000-0000-0000-0000-000000000002', 'Falmouth Bus Station');
INSERT INTO locations(id, name, disabled) VALUES
	('00000000-0000-0000-0000-000000000003', 'Penzance Station', true);
INSERT INTO links(id, from_id, to_id) VALUES
    ('00000000-0000-0000-0000-100000000000', '00000000-0000-0000-0000-000000000000', '00000000-0000-0000-0000-000000000001'),
    ('00000000-0000-0000-0000-100000000001', '00000000-0000-0000-0000-000000000000', '00000000-0000-0000-0000-000000000002'),
    ('00000000-0000-0000-0000-100000000002', '00000000-0000-0000-0000-000000000001', '00000000-0000-0000-0000-000000000000'),
    ('00000000-0000-0000-0000-100000000003', '00000000-0000-0000-0000-000000000002', '00000000-0000-0000-0000-000000000000');
INSERT INTO events(id, location_id, time) VALUES
    ('00000000-0000-0000-0000-200000000000', '00000000-0000-0000-0000-000000000000', '10:35'),
    ('00000000-0000-0000-0000-200000000000', '00000000-0000-0000-0000-000000000000', '12:35'),
    ('00000000-0000-0000-0000-200000000000', '00000000-0000-0000-0000-000000000000', '14:35'),
    ('00000000-0000-0000-0000-200000000000', '00000000-0000-0000-0000-000000000000', '16:35'),
    ('00000000-0000-0000-0000-200000000000', '00000000-0000-0000-0000-000000000000', '18:35');
